INEWS(1)

NAME
inews - submit news articles

SYNOPSIS
inews [ -h ] -t title [ -n newsgroups ] [ -e expiration date ]

inews -p [ filename ]

inews -C newsgroup

DESCRIPTION

Inews submits news articles to the USENET news network. Inews is intended as a raw interface to the news system, not as a human user interface. Casual users should probably use postnews(1) instead.

The first form of inews is for submitting user articles. The body of the article is read from the standard input. A title must be specified as there is no default. Each article belongs to a list of newsgroups. The standard list of newsgroups is used if the list is not specified via the -n option. On the Sun system, the standard subscription list is: general, all.general, general, all.announce, !junk, !control, and !test. If you wish to submit an article in multiple newsgroups, the newsgroups must be separated by commas and/or spaces. The expiration date is set to the local default if not otherwise specified.

When posting an article, the environment is checked for information about the sender. If NAME is found, its value is used for the full name, rather than the system value obtained from /etc/passwd. This is useful if the system value cannot be set, or when more than one person uses the same login. If ORGANIZATION is found, the value overrides the system default organization. This is useful when a person uses a guest login and is not primarily associated with the organization owning the machine.

The second form of inews is for receiving articles from other machines. If filename is given, the article is read from the specified file; otherwise the article is read from the standard input. An expiration date need not be present and a receival date is ignored if present.

After local installation, inews transmits the article to all systems that subscribe to the newsgroups that the article belongs to.

The third form of inews is for creating new newsgroups. On some systems, this may be limited to specific users such as the super-user or news administrator. This is true on the Sun system.

If the file /usr/lib/news/recording is present, it is taken as a list of `recordings' to be shown to users posting news. This is an analogy to the recording you hear when you dial information in some parts of the country, asking you if you really wanted to do this. /usr/lib/news/recording contains lines of the form:
    newsgroups <tab> filename
for example:
    net.all    net.recording
    fa.all    fa.recording
Any user posting an article to a newsgroup matching the pattern on the left is shown the contents of the file on the right. The file is found in the LIB directory (often /usr/lib/news). The user is then told to hit DEL to abort or RETURN to proceed. The intent of this feature is to help companies keep proprietary information from accidently leaking out.

OPTIONS

-n " newsgroups"
    specifies a list of newsgroups to which the articles are submitted. Elements in the list must be separated by commas and/or spaces. The expiration date is set to the local default if not otherwise specified.

-f [sender]
    Specifies the article's sender. Without this flag, the sender defaults to the user's name. If -f is specified, the real sender's name is included as a Sender line.

-h  Headers are present at the beginning of the article, and these headers should be included with the article header instead of as text. This mechanism can be used to edit headers and supply additional nondefault headers, but not to specify certain information, such as the sender and article ID that inews itself generates.

FILES
/usr/spool/news/.sys.nnn
    temporary articles
/usr/spool/news/newsgroups/article_no.
    Articles
/usr/spool/oldnews/
    Expired articles
/usr/lib/news/active
    List of known newsgroups and highest local article numbers in each.
/usr/lib/news/seq
    Sequence number of last article
/usr/lib/news/history
    List of all articles ever seen
/usr/lib/news/sys
    System subscription list

SEE ALSO
mail(1), binmail(1), getdate(3), news(5), newsrc(5), postnews(1), readnews(1), recnews(1), sendnews(8), uucp(1), uurec(8),
Network News User's Guide in the Beginner's Guide to the Sun Workstation.